UbixOS V2 2.0

Functions
createvirtualspace.c File Reference
`#include <vmm/vmm.h>`
Include dependency graph for createvirtualspace.c:

Go to the source code of this file.

## Functions
void * | vmm_createVirtualSpace (pid_t pid)

## Function Documentation

## ◆ vmm_createVirtualSpace()

void* vmm_createVirtualSpace | ( | pid_t | pid | ) |

Definition at line 53 of file createvirtualspace.c.

References adjustCowCounter(), bzero, KERNEL_PAGE_DEFAULT, PAGE_COW, PAGE_PRESENT, PAGE_SIZE, PD_BASE_ADDR, PD_ENTRIES, PD_INDEX, PT_BASE_ADDR, PT_ENTRIES, vmm_getFreePage(), vmm_getPhysicalAddr(), VMM_KERN_START, and vmm_unmapPage().

Here is the call graph for this function: